// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded CERTUS QUARTZ CHARGER.js)')


ServerEvents.recipes(event => {

    // charged_certus_quartz_crystal
    event.recipes.gtceu.certus_quartz_charger('kubejs:certus_quartz_charger/charged_certus_quartz_crystal_1')
        .itemInputs('4x #forge:gems/certus_quartz')
        .itemOutputs('4x ae2:charged_certus_quartz_crystal')
        .duration(16)
        .EUt(60)
        .circuit(1)

    event.recipes.gtceu.certus_quartz_charger('kubejs:certus_quartz_charger/charged_certus_quartz_crystal_2')
        .itemInputs('4x #forge:gems/certus_quartz')
        .inputFluids(Fluid.of('gtceu:nitrogen', 100))
        .itemOutputs('4x ae2:charged_certus_quartz_crystal')
        .duration(8)
        .EUt(60)
        .circuit(2)

    // event.recipes.gtceu.certus_quartz_charger('kubejs:certus_quartz_charger/charged_certus_quartz_crystal_3')
    //     .itemInputs('4x gtceu:certus_quartz_gem')
    //     .itemOutputs('4x ae2:charged_certus_quartz_crystal')
    //     .duration(16)
    //     .EUt(60)
    //     .circuit(1)

    // event.recipes.gtceu.certus_quartz_charger('kubejs:certus_quartz_charger/charged_certus_quartz_crystal_4')
    //     .itemInputs('4x gtceu:certus_quartz_gem')
    //     .inputFluids(Fluid.of('gtceu:nitrogen', 100))
    //     .itemOutputs('4x ae2:charged_certus_quartz_crystal')
    //     .duration(8)
    //     .EUt(60)
    //     .circuit(2)


    // fin //

})